Update a rule owned by the active account.
curl --request PATCH \
--url https://api.infrawatch.com/api/v1/rules/{rule_uuid} \
--header 'Content-Type: application/json' \
--header 'X-API-Key: <api-key>' \
--data '
{
"expected_revision": 2,
"category_slugs": [
"<string>"
],
"description": "<string>",
"enabled": true,
"name": "<string>",
"source": "<string>",
"tag_uuids": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
]
}
'import requests
url = "https://api.infrawatch.com/api/v1/rules/{rule_uuid}"
payload = {
"expected_revision": 2,
"category_slugs": ["<string>"],
"description": "<string>",
"enabled": True,
"name": "<string>",
"source": "<string>",
"tag_uuids": ["3c90c3cc-0d44-4b50-8888-8dd25736052a"]
}
headers = {
"X-API-Key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {'X-API-Key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
expected_revision: 2,
category_slugs: ['<string>'],
description: '<string>',
enabled: true,
name: '<string>',
source: '<string>',
tag_uuids: ['3c90c3cc-0d44-4b50-8888-8dd25736052a']
})
};
fetch('https://api.infrawatch.com/api/v1/rules/{rule_uuid}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.infrawatch.com/api/v1/rules/{rule_uuid}"
payload := strings.NewReader("{\n \"expected_revision\": 2,\n \"category_slugs\": [\n \"<string>\"\n ],\n \"description\": \"<string>\",\n \"enabled\": true,\n \"name\": \"<string>\",\n \"source\": \"<string>\",\n \"tag_uuids\": [\n \"3c90c3cc-0d44-4b50-8888-8dd25736052a\"\n ]\n}")
req, _ := http.NewRequest("PATCH", url, payload)
req.Header.Add("X-API-Key", "<api-key>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"rule": {
"category_slugs": [
"<string>"
],
"created_at": "2023-11-07T05:31:56Z",
"description": "<string>",
"editable": true,
"enabled": true,
"internal_rule": true,
"match_updated_at": "2023-11-07T05:31:56Z",
"name": "<string>",
"public": true,
"revision": 2,
"source": "<string>",
"tag_names": [
"<string>"
],
"tag_uuids": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
],
"tags": [
"<string>"
],
"updated_at": "2023-11-07T05:31:56Z",
"uuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"admitted_revision": 2,
"dns_takeover": {
"enabled": true,
"claim_mode": "<string>",
"confidence": "<string>",
"http_probe": {
"allow_network_errors": true,
"follow_redirects": true,
"path": "<string>",
"schemes": [
"<string>"
]
},
"matcher_id": "<string>",
"needs_domain_availability": true,
"provider": "<string>",
"record_types": [
"<string>"
],
"references": [
"<string>"
],
"rule_id": "<string>",
"service": "<string>",
"status": "<string>"
},
"individual_account_uuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"organisation_uuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"validated_at": "2023-11-07T05:31:56Z",
"validation_error": "<string>"
}
}Authoring and management
Update a rule owned by the active account.
PATCH
https://api.infrawatch.com/api/v1
/
rules
/
{rule_uuid}
Update a rule owned by the active account.
curl --request PATCH \
--url https://api.infrawatch.com/api/v1/rules/{rule_uuid} \
--header 'Content-Type: application/json' \
--header 'X-API-Key: <api-key>' \
--data '
{
"expected_revision": 2,
"category_slugs": [
"<string>"
],
"description": "<string>",
"enabled": true,
"name": "<string>",
"source": "<string>",
"tag_uuids": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
]
}
'import requests
url = "https://api.infrawatch.com/api/v1/rules/{rule_uuid}"
payload = {
"expected_revision": 2,
"category_slugs": ["<string>"],
"description": "<string>",
"enabled": True,
"name": "<string>",
"source": "<string>",
"tag_uuids": ["3c90c3cc-0d44-4b50-8888-8dd25736052a"]
}
headers = {
"X-API-Key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {'X-API-Key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
expected_revision: 2,
category_slugs: ['<string>'],
description: '<string>',
enabled: true,
name: '<string>',
source: '<string>',
tag_uuids: ['3c90c3cc-0d44-4b50-8888-8dd25736052a']
})
};
fetch('https://api.infrawatch.com/api/v1/rules/{rule_uuid}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.infrawatch.com/api/v1/rules/{rule_uuid}"
payload := strings.NewReader("{\n \"expected_revision\": 2,\n \"category_slugs\": [\n \"<string>\"\n ],\n \"description\": \"<string>\",\n \"enabled\": true,\n \"name\": \"<string>\",\n \"source\": \"<string>\",\n \"tag_uuids\": [\n \"3c90c3cc-0d44-4b50-8888-8dd25736052a\"\n ]\n}")
req, _ := http.NewRequest("PATCH", url, payload)
req.Header.Add("X-API-Key", "<api-key>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"rule": {
"category_slugs": [
"<string>"
],
"created_at": "2023-11-07T05:31:56Z",
"description": "<string>",
"editable": true,
"enabled": true,
"internal_rule": true,
"match_updated_at": "2023-11-07T05:31:56Z",
"name": "<string>",
"public": true,
"revision": 2,
"source": "<string>",
"tag_names": [
"<string>"
],
"tag_uuids": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
],
"tags": [
"<string>"
],
"updated_at": "2023-11-07T05:31:56Z",
"uuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"admitted_revision": 2,
"dns_takeover": {
"enabled": true,
"claim_mode": "<string>",
"confidence": "<string>",
"http_probe": {
"allow_network_errors": true,
"follow_redirects": true,
"path": "<string>",
"schemes": [
"<string>"
]
},
"matcher_id": "<string>",
"needs_domain_availability": true,
"provider": "<string>",
"record_types": [
"<string>"
],
"references": [
"<string>"
],
"rule_id": "<string>",
"service": "<string>",
"status": "<string>"
},
"individual_account_uuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"organisation_uuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"validated_at": "2023-11-07T05:31:56Z",
"validation_error": "<string>"
}
}Authorizations
Infrawatch API key. Supply the complete key directly as the header value.
Path Parameters
Body
application/json
Required range:
x >= 1Maximum array length:
50Required string length:
1 - 100Pattern:
^[a-z0-9][a-z0-9-]{0,99}(/[a-z0-9][a-z0-9-]{0,99})*$Available options:
benign, suspicious, malicious Maximum string length:
4000Available options:
scan_result, certificate_event Required string length:
1 - 200Required string length:
1 - 1048576Maximum array length:
100Response
Updated rule.
Show child attributes
Show child attributes
⌘I